<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/CrossHairSelector.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d9f/_cross_hair_selector_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CrossHairSelector.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/d9f/_cross_hair_selector_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../db/d0c/class_cross_hair.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../db/d0c/class_cross_hair.html">CrossHair</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../db/d0c/class_cross_hair.html#aa9d6e357fd4ae3928f932bc874436087">    3</a></span>    <span class="keyword">protected</span> <span class="keywordtype">string</span>                    <a class="code hl_variable" href="../../db/d0c/class_cross_hair.html#aa9d6e357fd4ae3928f932bc874436087">m_Name</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../db/d0c/class_cross_hair.html#a69efc181e8360b976c7b2f15746ba868">    4</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span>                      <a class="code hl_variable" href="../../db/d0c/class_cross_hair.html#a69efc181e8360b976c7b2f15746ba868">m_Shown</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../db/d0c/class_cross_hair.html#a0912eef2f269beb29ae6bc036d29f1b5">    5</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span>                      <a class="code hl_variable" href="../../db/d0c/class_cross_hair.html#a0912eef2f269beb29ae6bc036d29f1b5">m_Current</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../db/d0c/class_cross_hair.html#a8812e720a479c93a4e07e0f9bfb4c96e">    7</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>                    <a class="code hl_variable" href="../../db/d0c/class_cross_hair.html#a8812e720a479c93a4e07e0f9bfb4c96e">m_Widget</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../db/d0c/class_cross_hair.html#ab4dbd27081bbc1d9241d3ff6c9c1508f">    9</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d0c/class_cross_hair.html#ab4dbd27081bbc1d9241d3ff6c9c1508f">CrossHair</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w)</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_variable" href="../../db/d0c/class_cross_hair.html#a8812e720a479c93a4e07e0f9bfb4c96e">m_Widget</a> = w;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_variable" href="../../db/d0c/class_cross_hair.html#aa9d6e357fd4ae3928f932bc874436087">m_Name</a> = w.GetName();</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_variable" href="../../db/d0c/class_cross_hair.html#a69efc181e8360b976c7b2f15746ba868">m_Shown</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <a class="code hl_variable" href="../../db/d0c/class_cross_hair.html#a0912eef2f269beb29ae6bc036d29f1b5">m_Current</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    }</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../db/d0c/class_cross_hair.html#a02a1f18b3027ddb8e47d05d2f8e132de">   17</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d0c/class_cross_hair.html#a02a1f18b3027ddb8e47d05d2f8e132de">~CrossHair</a>() {}</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../db/d0c/class_cross_hair.html#a87f9e8e58bd972453fb80666013171b5">   19</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../db/d0c/class_cross_hair.html#a87f9e8e58bd972453fb80666013171b5">GetName</a>()</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../db/d0c/class_cross_hair.html#aa9d6e357fd4ae3928f932bc874436087">m_Name</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../db/d0c/class_cross_hair.html#adf812e7a8f000e3621116c3c760cb62a">   24</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d0c/class_cross_hair.html#adf812e7a8f000e3621116c3c760cb62a">IsCurrent</a>()</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../db/d0c/class_cross_hair.html#a0912eef2f269beb29ae6bc036d29f1b5">m_Current</a>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../db/d0c/class_cross_hair.html#a5a411a1621366aedd6d6afe2672b43a8">   29</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d0c/class_cross_hair.html#a5a411a1621366aedd6d6afe2672b43a8">IsShown</a>()</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../db/d0c/class_cross_hair.html#a69efc181e8360b976c7b2f15746ba868">m_Shown</a>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../db/d0c/class_cross_hair.html#a86347fd32db21e56c508445ccfc70d0a">   34</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d0c/class_cross_hair.html#a86347fd32db21e56c508445ccfc70d0a">Show</a>()</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_variable" href="../../db/d0c/class_cross_hair.html#a69efc181e8360b976c7b2f15746ba868">m_Shown</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <a class="code hl_variable" href="../../db/d0c/class_cross_hair.html#a0912eef2f269beb29ae6bc036d29f1b5">m_Current</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <a class="code hl_variable" href="../../db/d0c/class_cross_hair.html#a8812e720a479c93a4e07e0f9bfb4c96e">m_Widget</a>.Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../db/d0c/class_cross_hair.html#a570449f9369d518d7ef00ffaf8c2ad16">   41</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d0c/class_cross_hair.html#a570449f9369d518d7ef00ffaf8c2ad16">Hide</a>()</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <a class="code hl_variable" href="../../db/d0c/class_cross_hair.html#a69efc181e8360b976c7b2f15746ba868">m_Shown</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <a class="code hl_variable" href="../../db/d0c/class_cross_hair.html#a0912eef2f269beb29ae6bc036d29f1b5">m_Current</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <a class="code hl_variable" href="../../db/d0c/class_cross_hair.html#a8812e720a479c93a4e07e0f9bfb4c96e">m_Widget</a>.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>}</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span><span class="keyword">class </span><a class="code hl_function" href="../../d4/d9f/_cross_hair_selector_8c.html#a6a878c9a758579dc39f73b21127009c3">CrossHairSelector</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>{</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d4/d9f/_cross_hair_selector_8c.html#a98886202c01435990ef35aed5105f568">   51</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>                    <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a2d89e844cbfd9c622075b211b6794c5e">m_Player</a>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d4/d9f/_cross_hair_selector_8c.html#a5656b307fcf54071ca3e31bfe40ba528">   52</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/dd1/class_action_manager_base.html">ActionManagerBase</a>             <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#aa0ed5e90d81bff2ace3859247deed426">m_AM</a>;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d4/d9f/_cross_hair_selector_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">   54</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>                    <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a71b8e094195dbad856b869f74ddc40f0">m_Root</a>;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../d4/d9f/_cross_hair_selector_8c.html#a03def12935c09312a62c008c1b44d256">   56</a></span>    <span class="keyword">protected</span> ref set&lt;ref CrossHair&gt;    <a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a03def12935c09312a62c008c1b44d256">m_CrossHairs</a>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../d4/d9f/_cross_hair_selector_8c.html#a6a878c9a758579dc39f73b21127009c3">   58</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d9f/_cross_hair_selector_8c.html#a6a878c9a758579dc39f73b21127009c3">CrossHairSelector</a>()</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>        = null;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a5656b307fcf54071ca3e31bfe40ba528">m_AM</a>            = null;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a03def12935c09312a62c008c1b44d256">m_CrossHairs</a>    = <span class="keyword">new</span> set&lt;ref CrossHair&gt;;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a9004d9575e5b4d37044604767b0a8797">GetUpdateQueue</a>(<a class="code hl_variable" href="../../d9/dc3/group___tools.html#gaae15173306f94a164b31a4baea73e5eb">CALL_CATEGORY_GUI</a>).<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#abeb2392b2e3dc0a34d0c5cafc96a288e">Insert</a>(<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga70ac517aa5d3b3af95f61a2d560d811f">Update</a>);</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d4/d9f/_cross_hair_selector_8c.html#af8627da7dc9e810cf88169ff0f57ee63">   67</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d9f/_cross_hair_selector_8c.html#af8627da7dc9e810cf88169ff0f57ee63">~CrossHairSelector</a>()</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a9004d9575e5b4d37044604767b0a8797">GetUpdateQueue</a>(<a class="code hl_variable" href="../../d9/dc3/group___tools.html#gaae15173306f94a164b31a4baea73e5eb">CALL_CATEGORY_GUI</a>).<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#a704b1e426e4369c79a8495f63cfe5eed">Remove</a>(<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga70ac517aa5d3b3af95f61a2d560d811f">Update</a>);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../d4/d9f/_cross_hair_selector_8c.html#a2865dcd0243804f3b1b93c982130e8c3">   72</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#aba6450ea167e6260d427b214c4e14a0b">Init</a>()</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a03def12935c09312a62c008c1b44d256">m_CrossHairs</a>.Clear();</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>                </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> child = <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.GetChildren();</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <span class="keywordflow">while</span>(child)</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            <a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a03def12935c09312a62c008c1b44d256">m_CrossHairs</a>.Insert(<a class="code hl_class" href="../../db/d0c/class_cross_hair.html">CrossHair</a>(child));</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            child = child.GetSibling();</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        }</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../d4/d9f/_cross_hair_selector_8c.html#a5995aac8adecc378e2b446cc771702b8">   84</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a34c00b8b4ee15e59aeecb5654e00e3fe">OnWidgetScriptInit</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w)</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    {</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a> = w;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.SetHandler(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#aba6450ea167e6260d427b214c4e14a0b">Init</a>();</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.Update();</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#ga70ac517aa5d3b3af95f61a2d560d811f">   92</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#af230615baea6307c6e837a0369acfd39">Update</a>()</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <span class="keywordflow">if</span>(!<a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetProfileOption(<a class="code hl_enumeration" href="../../d0/d96/_e_day_z_profiles_options_8c.html#aa1673d253e0e003655814e545424dd9f">EDayZProfilesOptions</a>.CROSSHAIR) || <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetWorld().IsCrosshairDisabled())</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        {</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            <span class="keywordflow">if</span>(<a class="code hl_function" href="../../d4/d9f/_cross_hair_selector_8c.html#ae77b4df141c42a4f4e3b86a7183a78f6">GetCurrentCrossHair</a>())</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>                <a class="code hl_function" href="../../d4/d9f/_cross_hair_selector_8c.html#a09deaa476787a0d2324d5093a59330b2">ShowCrossHair</a>(null);</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            </div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        };</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span> </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <span class="keywordflow">if</span>(<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a> &amp;&amp; !<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.IsAlive()) <span class="comment">// handle respawn</span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a> = null;</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            <a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a5656b307fcf54071ca3e31bfe40ba528">m_AM</a> = null;</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        }</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <span class="keywordflow">if</span>(!<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>) <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a47356c5957804e7c75007bd4070f4e08">GetPlayer</a>();</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <span class="keywordflow">if</span>(!<a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a5656b307fcf54071ca3e31bfe40ba528">m_AM</a>) <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a82e8238365614422318d5afccc3a12aa">GetActionManager</a>();</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <span class="keywordflow">if</span>(<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a> &amp;&amp; <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.IsPlayerSelected())</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            <a class="code hl_function" href="../../d4/d9f/_cross_hair_selector_8c.html#a390b0b22b7d7b47f9c3c015ef36c7e6c">SelectCrossHair</a>();</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    <span class="comment">// getters</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="../../d4/d9f/_cross_hair_selector_8c.html#aa94752c3f13e12e0809dada4c1031ace">  118</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a47356c5957804e7c75007bd4070f4e08">GetPlayer</a>()</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    {</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>, <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a47356c5957804e7c75007bd4070f4e08">GetPlayer</a>());</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    }</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span> </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno"><a class="line" href="../../d4/d9f/_cross_hair_selector_8c.html#a7bfe0daa7710ddfc48f1bc0cc9f3742b">  123</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a82e8238365614422318d5afccc3a12aa">GetActionManager</a>()</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    {</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a> &amp;&amp; <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.IsPlayerSelected() )</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        {</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>            <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(<a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a5656b307fcf54071ca3e31bfe40ba528">m_AM</a>, <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetActionManager());</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        }</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>            <a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a5656b307fcf54071ca3e31bfe40ba528">m_AM</a> = null;</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    }</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno"><a class="line" href="../../d4/d9f/_cross_hair_selector_8c.html#a33049b640c2525cb3a486b97f07a4058">  133</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../db/d0c/class_cross_hair.html">CrossHair</a> <a class="code hl_function" href="../../d4/d9f/_cross_hair_selector_8c.html#a33049b640c2525cb3a486b97f07a4058">GetCrossHairByName</a>(<span class="keywordtype">string</span> widgetName)</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    {</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a03def12935c09312a62c008c1b44d256">m_CrossHairs</a>.Count(); i++)</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        {</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>            <span class="keywordflow">if</span>(<a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a03def12935c09312a62c008c1b44d256">m_CrossHairs</a>.Get(i).GetName() == widgetName)</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>                <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a03def12935c09312a62c008c1b44d256">m_CrossHairs</a>.Get(i);</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        }</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span> </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        <span class="keywordflow">return</span> null;</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    }</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span> </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno"><a class="line" href="../../d4/d9f/_cross_hair_selector_8c.html#ae77b4df141c42a4f4e3b86a7183a78f6">  144</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../db/d0c/class_cross_hair.html">CrossHair</a> <a class="code hl_function" href="../../d4/d9f/_cross_hair_selector_8c.html#ae77b4df141c42a4f4e3b86a7183a78f6">GetCurrentCrossHair</a>()</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    {</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a03def12935c09312a62c008c1b44d256">m_CrossHairs</a>.Count(); i++)</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        {</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>            <span class="keywordflow">if</span>(<a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a03def12935c09312a62c008c1b44d256">m_CrossHairs</a>.Get(i).IsCurrent())</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>                <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a03def12935c09312a62c008c1b44d256">m_CrossHairs</a>.Get(i);</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        }</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span> </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        <span class="keywordflow">return</span> null;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    }</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno"><a class="line" href="../../d4/d9f/_cross_hair_selector_8c.html#a390b0b22b7d7b47f9c3c015ef36c7e6c">  155</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d9f/_cross_hair_selector_8c.html#a390b0b22b7d7b47f9c3c015ef36c7e6c">SelectCrossHair</a>()</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    {</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        <span class="keywordflow">if</span>(!<a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a5656b307fcf54071ca3e31bfe40ba528">m_AM</a>) <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span> </div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        <a class="code hl_class" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a> hic = <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetInputController();</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        <a class="code hl_function" href="../../d6/d59/_action_base_8c.html#a9e29a236902beb34a65218c0aa3debdb">ActionBase</a> action = <a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a5656b307fcf54071ca3e31bfe40ba528">m_AM</a>.<a class="code hl_function" href="../../d9/dd1/class_action_manager_base.html#adea827aa710d41a7b54396b9e8493566">GetRunningAction</a>();</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        </div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        <span class="keywordtype">bool</span> firearmInHands = <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetItemInHands() &amp;&amp; <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetItemInHands().IsWeapon();</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span> </div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        <span class="keywordflow">if</span> ( firearmInHands &amp;&amp; <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.IsRaised() &amp;&amp; !<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.IsInIronsights() &amp;&amp; !<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.IsInOptics() &amp;&amp; !hic.<a class="code hl_function" href="../../d7/d1b/class_human_input_controller.html#a17501da6e8e6fd1b0d4f09a753fa2f0b">CameraIsFreeLook</a>() &amp;&amp; !<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetCommand_Melee2() )</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        {</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>            <a class="code hl_function" href="../../d4/d9f/_cross_hair_selector_8c.html#a09deaa476787a0d2324d5093a59330b2">ShowCrossHair</a>(<a class="code hl_function" href="../../d4/d9f/_cross_hair_selector_8c.html#a33049b640c2525cb3a486b97f07a4058">GetCrossHairByName</a>(<span class="stringliteral">&quot;crossT_128x128&quot;</span>));</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        }</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (action &amp;&amp; action.GetActionCategory() == <a class="code hl_variable" href="../../dd/d61/4___world_2_classes_2_user_actions_component_2__constants_8c.html#a28cd87d023a5b9d42873191a75597a57">AC_CONTINUOUS</a>)</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        {</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>            <span class="keywordtype">int</span> actionState = <a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a5656b307fcf54071ca3e31bfe40ba528">m_AM</a>.<a class="code hl_function" href="../../d9/dd1/class_action_manager_base.html#a47546f292d27e3b7ba5e8153050c2ff9">GetActionState</a>(action);</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span> </div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>            <span class="keywordflow">if</span> ( actionState != <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga906d727fe47efc365f800be617239f5f">UA_NONE</a> )</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>                <a class="code hl_function" href="../../d4/d9f/_cross_hair_selector_8c.html#a09deaa476787a0d2324d5093a59330b2">ShowCrossHair</a>(null);</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        }</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.IsRaised() || <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetCommand_Melee2() || <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager().GetMenu() != null )</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>        {</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>            <a class="code hl_function" href="../../d4/d9f/_cross_hair_selector_8c.html#a09deaa476787a0d2324d5093a59330b2">ShowCrossHair</a>(null);</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        }</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetCommand_Unconscious() )</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>        {</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>            <a class="code hl_function" href="../../d4/d9f/_cross_hair_selector_8c.html#a09deaa476787a0d2324d5093a59330b2">ShowCrossHair</a>(null);</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        }</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        {</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>            <a class="code hl_function" href="../../d4/d9f/_cross_hair_selector_8c.html#a09deaa476787a0d2324d5093a59330b2">ShowCrossHair</a>(<a class="code hl_function" href="../../d4/d9f/_cross_hair_selector_8c.html#a33049b640c2525cb3a486b97f07a4058">GetCrossHairByName</a>(<span class="stringliteral">&quot;dot&quot;</span>));</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        }</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>    }</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>    </div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno"><a class="line" href="../../d4/d9f/_cross_hair_selector_8c.html#a09deaa476787a0d2324d5093a59330b2">  194</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d9f/_cross_hair_selector_8c.html#a09deaa476787a0d2324d5093a59330b2">ShowCrossHair</a>(<a class="code hl_class" href="../../db/d0c/class_cross_hair.html">CrossHair</a> crossHair)</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>    {</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>        <span class="keywordflow">if</span>(!crossHair)</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        {</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>            <span class="keywordflow">if</span>(<a class="code hl_function" href="../../d4/d9f/_cross_hair_selector_8c.html#ae77b4df141c42a4f4e3b86a7183a78f6">GetCurrentCrossHair</a>())</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>                <a class="code hl_function" href="../../d4/d9f/_cross_hair_selector_8c.html#ae77b4df141c42a4f4e3b86a7183a78f6">GetCurrentCrossHair</a>().<a class="code hl_function" href="../../db/d0c/class_cross_hair.html#a570449f9369d518d7ef00ffaf8c2ad16">Hide</a>();</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>            </div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>        }</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>        <span class="keywordflow">else</span> </div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        {</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>            <span class="keywordflow">if</span>(<a class="code hl_function" href="../../d4/d9f/_cross_hair_selector_8c.html#ae77b4df141c42a4f4e3b86a7183a78f6">GetCurrentCrossHair</a>() &amp;&amp; <a class="code hl_function" href="../../d4/d9f/_cross_hair_selector_8c.html#ae77b4df141c42a4f4e3b86a7183a78f6">GetCurrentCrossHair</a>() != crossHair)</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>                <a class="code hl_function" href="../../d4/d9f/_cross_hair_selector_8c.html#ae77b4df141c42a4f4e3b86a7183a78f6">GetCurrentCrossHair</a>().<a class="code hl_function" href="../../db/d0c/class_cross_hair.html#a570449f9369d518d7ef00ffaf8c2ad16">Hide</a>();</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>        }</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>        </div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        <span class="keywordflow">if</span>(!crossHair.<a class="code hl_function" href="../../db/d0c/class_cross_hair.html#adf812e7a8f000e3621116c3c760cb62a">IsCurrent</a>() &amp;&amp; crossHair.<a class="code hl_function" href="../../db/d0c/class_cross_hair.html#a5a411a1621366aedd6d6afe2672b43a8">IsShown</a>())</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>            crossHair.<a class="code hl_function" href="../../db/d0c/class_cross_hair.html#a86347fd32db21e56c508445ccfc70d0a">Show</a>();</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>    }</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>}</div>
<div class="ttc" id="a4___world_2_classes_2_user_actions_component_2__constants_8c_html_a28cd87d023a5b9d42873191a75597a57"><div class="ttname"><a href="../../dd/d61/4___world_2_classes_2_user_actions_component_2__constants_8c.html#a28cd87d023a5b9d42873191a75597a57">AC_CONTINUOUS</a></div><div class="ttdeci">const int AC_CONTINUOUS</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d61/4___world_2_classes_2_user_actions_component_2__constants_8c_source.html#l00003">_constants.c:3</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a9e29a236902beb34a65218c0aa3debdb"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a9e29a236902beb34a65218c0aa3debdb">ActionBase</a></div><div class="ttdeci">void ActionBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00073">ActionBase.c:73</a></div></div>
<div class="ttc" id="a_cross_hair_selector_8c_html_a03def12935c09312a62c008c1b44d256"><div class="ttname"><a href="../../d4/d9f/_cross_hair_selector_8c.html#a03def12935c09312a62c008c1b44d256">m_CrossHairs</a></div><div class="ttdeci">protected ref set&lt; ref CrossHair &gt; m_CrossHairs</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00056">CrossHairSelector.c:56</a></div></div>
<div class="ttc" id="a_cross_hair_selector_8c_html_a09deaa476787a0d2324d5093a59330b2"><div class="ttname"><a href="../../d4/d9f/_cross_hair_selector_8c.html#a09deaa476787a0d2324d5093a59330b2">ShowCrossHair</a></div><div class="ttdeci">protected void ShowCrossHair(CrossHair crossHair)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00194">CrossHairSelector.c:194</a></div></div>
<div class="ttc" id="a_cross_hair_selector_8c_html_a33049b640c2525cb3a486b97f07a4058"><div class="ttname"><a href="../../d4/d9f/_cross_hair_selector_8c.html#a33049b640c2525cb3a486b97f07a4058">GetCrossHairByName</a></div><div class="ttdeci">protected CrossHair GetCrossHairByName(string widgetName)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00133">CrossHairSelector.c:133</a></div></div>
<div class="ttc" id="a_cross_hair_selector_8c_html_a390b0b22b7d7b47f9c3c015ef36c7e6c"><div class="ttname"><a href="../../d4/d9f/_cross_hair_selector_8c.html#a390b0b22b7d7b47f9c3c015ef36c7e6c">SelectCrossHair</a></div><div class="ttdeci">protected void SelectCrossHair()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00155">CrossHairSelector.c:155</a></div></div>
<div class="ttc" id="a_cross_hair_selector_8c_html_a5656b307fcf54071ca3e31bfe40ba528"><div class="ttname"><a href="../../d4/d9f/_cross_hair_selector_8c.html#a5656b307fcf54071ca3e31bfe40ba528">m_AM</a></div><div class="ttdeci">protected ActionManagerBase m_AM</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00052">CrossHairSelector.c:52</a></div></div>
<div class="ttc" id="a_cross_hair_selector_8c_html_a6a878c9a758579dc39f73b21127009c3"><div class="ttname"><a href="../../d4/d9f/_cross_hair_selector_8c.html#a6a878c9a758579dc39f73b21127009c3">CrossHairSelector</a></div><div class="ttdeci">void CrossHairSelector()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00058">CrossHairSelector.c:58</a></div></div>
<div class="ttc" id="a_cross_hair_selector_8c_html_ae77b4df141c42a4f4e3b86a7183a78f6"><div class="ttname"><a href="../../d4/d9f/_cross_hair_selector_8c.html#ae77b4df141c42a4f4e3b86a7183a78f6">GetCurrentCrossHair</a></div><div class="ttdeci">protected CrossHair GetCurrentCrossHair()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00144">CrossHairSelector.c:144</a></div></div>
<div class="ttc" id="a_cross_hair_selector_8c_html_af8627da7dc9e810cf88169ff0f57ee63"><div class="ttname"><a href="../../d4/d9f/_cross_hair_selector_8c.html#af8627da7dc9e810cf88169ff0f57ee63">~CrossHairSelector</a></div><div class="ttdeci">void ~CrossHairSelector()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00067">CrossHairSelector.c:67</a></div></div>
<div class="ttc" id="a_day_z_game_8c_html_a5b4f7935d7cbb89f7a4610452d633707"><div class="ttname"><a href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a></div><div class="ttdeci">DayZGame g_Game</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l03147">DayZGame.c:3147</a></div></div>
<div class="ttc" id="a_e_day_z_profiles_options_8c_html_aa1673d253e0e003655814e545424dd9f"><div class="ttname"><a href="../../d0/d96/_e_day_z_profiles_options_8c.html#aa1673d253e0e003655814e545424dd9f">EDayZProfilesOptions</a></div><div class="ttdeci">EDayZProfilesOptions</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d96/_e_day_z_profiles_options_8c_source.html#l00001">EDayZProfilesOptions.c:2</a></div></div>
<div class="ttc" id="a_hand___events_8c_html_a02917914db83b7759e19cb7450c92354"><div class="ttname"><a href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a></div><div class="ttdeci">Man m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d21/_hand___events_8c_source.html#l00042">Hand_Events.c:42</a></div></div>
<div class="ttc" id="a_size_to_child_8c_html_abc384ffa3d9e20d9963688d1e3492cb7"><div class="ttname"><a href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a></div><div class="ttdeci">protected Widget m_Root</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00091">SizeToChild.c:91</a></div></div>
<div class="ttc" id="aclass_action_manager_base_html"><div class="ttname"><a href="../../d9/dd1/class_action_manager_base.html">ActionManagerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/db9/_action_manager_base_8c_source.html#l00031">ActionManagerBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_manager_base_html_a47546f292d27e3b7ba5e8153050c2ff9"><div class="ttname"><a href="../../d9/dd1/class_action_manager_base.html#a47546f292d27e3b7ba5e8153050c2ff9">ActionManagerBase::GetActionState</a></div><div class="ttdeci">int GetActionState(ActionBase action)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/db9/_action_manager_base_8c_source.html#l00261">ActionManagerBase.c:261</a></div></div>
<div class="ttc" id="aclass_action_manager_base_html_adea827aa710d41a7b54396b9e8493566"><div class="ttname"><a href="../../d9/dd1/class_action_manager_base.html#adea827aa710d41a7b54396b9e8493566">ActionManagerBase::GetRunningAction</a></div><div class="ttdeci">ActionBase GetRunningAction()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/db9/_action_manager_base_8c_source.html#l00090">ActionManagerBase.c:90</a></div></div>
<div class="ttc" id="aclass_c_game_html_a9004d9575e5b4d37044604767b0a8797"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a9004d9575e5b4d37044604767b0a8797">CGame::GetUpdateQueue</a></div><div class="ttdeci">ScriptInvoker GetUpdateQueue(int call_category)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6e/_global_2game_8c_source.html#l01320">Game.c:1320</a></div></div>
<div class="ttc" id="aclass_cross_hair_html"><div class="ttname"><a href="../../db/d0c/class_cross_hair.html">CrossHair</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00001">CrossHairSelector.c:2</a></div></div>
<div class="ttc" id="aclass_cross_hair_html_a02a1f18b3027ddb8e47d05d2f8e132de"><div class="ttname"><a href="../../db/d0c/class_cross_hair.html#a02a1f18b3027ddb8e47d05d2f8e132de">CrossHair::~CrossHair</a></div><div class="ttdeci">void ~CrossHair()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00017">CrossHairSelector.c:17</a></div></div>
<div class="ttc" id="aclass_cross_hair_html_a0912eef2f269beb29ae6bc036d29f1b5"><div class="ttname"><a href="../../db/d0c/class_cross_hair.html#a0912eef2f269beb29ae6bc036d29f1b5">CrossHair::m_Current</a></div><div class="ttdeci">protected bool m_Current</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00005">CrossHairSelector.c:5</a></div></div>
<div class="ttc" id="aclass_cross_hair_html_a570449f9369d518d7ef00ffaf8c2ad16"><div class="ttname"><a href="../../db/d0c/class_cross_hair.html#a570449f9369d518d7ef00ffaf8c2ad16">CrossHair::Hide</a></div><div class="ttdeci">void Hide()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00041">CrossHairSelector.c:41</a></div></div>
<div class="ttc" id="aclass_cross_hair_html_a5a411a1621366aedd6d6afe2672b43a8"><div class="ttname"><a href="../../db/d0c/class_cross_hair.html#a5a411a1621366aedd6d6afe2672b43a8">CrossHair::IsShown</a></div><div class="ttdeci">bool IsShown()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00029">CrossHairSelector.c:29</a></div></div>
<div class="ttc" id="aclass_cross_hair_html_a69efc181e8360b976c7b2f15746ba868"><div class="ttname"><a href="../../db/d0c/class_cross_hair.html#a69efc181e8360b976c7b2f15746ba868">CrossHair::m_Shown</a></div><div class="ttdeci">protected bool m_Shown</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00004">CrossHairSelector.c:4</a></div></div>
<div class="ttc" id="aclass_cross_hair_html_a86347fd32db21e56c508445ccfc70d0a"><div class="ttname"><a href="../../db/d0c/class_cross_hair.html#a86347fd32db21e56c508445ccfc70d0a">CrossHair::Show</a></div><div class="ttdeci">void Show()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00034">CrossHairSelector.c:34</a></div></div>
<div class="ttc" id="aclass_cross_hair_html_a87f9e8e58bd972453fb80666013171b5"><div class="ttname"><a href="../../db/d0c/class_cross_hair.html#a87f9e8e58bd972453fb80666013171b5">CrossHair::GetName</a></div><div class="ttdeci">string GetName()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00019">CrossHairSelector.c:19</a></div></div>
<div class="ttc" id="aclass_cross_hair_html_a8812e720a479c93a4e07e0f9bfb4c96e"><div class="ttname"><a href="../../db/d0c/class_cross_hair.html#a8812e720a479c93a4e07e0f9bfb4c96e">CrossHair::m_Widget</a></div><div class="ttdeci">protected Widget m_Widget</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00007">CrossHairSelector.c:7</a></div></div>
<div class="ttc" id="aclass_cross_hair_html_aa9d6e357fd4ae3928f932bc874436087"><div class="ttname"><a href="../../db/d0c/class_cross_hair.html#aa9d6e357fd4ae3928f932bc874436087">CrossHair::m_Name</a></div><div class="ttdeci">protected string m_Name</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00003">CrossHairSelector.c:3</a></div></div>
<div class="ttc" id="aclass_cross_hair_html_ab4dbd27081bbc1d9241d3ff6c9c1508f"><div class="ttname"><a href="../../db/d0c/class_cross_hair.html#ab4dbd27081bbc1d9241d3ff6c9c1508f">CrossHair::CrossHair</a></div><div class="ttdeci">void CrossHair(Widget w)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00009">CrossHairSelector.c:9</a></div></div>
<div class="ttc" id="aclass_cross_hair_html_adf812e7a8f000e3621116c3c760cb62a"><div class="ttname"><a href="../../db/d0c/class_cross_hair.html#adf812e7a8f000e3621116c3c760cb62a">CrossHair::IsCurrent</a></div><div class="ttdeci">bool IsCurrent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00024">CrossHairSelector.c:24</a></div></div>
<div class="ttc" id="aclass_human_input_controller_html"><div class="ttname"><a href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00014">human.c:15</a></div></div>
<div class="ttc" id="aclass_human_input_controller_html_a17501da6e8e6fd1b0d4f09a753fa2f0b"><div class="ttname"><a href="../../d7/d1b/class_human_input_controller.html#a17501da6e8e6fd1b0d4f09a753fa2f0b">HumanInputController::CameraIsFreeLook</a></div><div class="ttdeci">proto native bool CameraIsFreeLook()</div><div class="ttdoc">returns true if freelook is active</div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_script_invoker_html_a704b1e426e4369c79a8495f63cfe5eed"><div class="ttname"><a href="../../d4/d2d/class_script_invoker.html#a704b1e426e4369c79a8495f63cfe5eed">ScriptInvoker::Remove</a></div><div class="ttdeci">proto void Remove(func fn)</div><div class="ttdoc">remove specific call from list</div></div>
<div class="ttc" id="aclass_script_invoker_html_abeb2392b2e3dc0a34d0c5cafc96a288e"><div class="ttname"><a href="../../d4/d2d/class_script_invoker.html#abeb2392b2e3dc0a34d0c5cafc96a288e">ScriptInvoker::Insert</a></div><div class="ttdeci">proto void Insert(func fn)</div><div class="ttdoc">insert method to list</div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
<div class="ttc" id="agroup___tools_html_gaae15173306f94a164b31a4baea73e5eb"><div class="ttname"><a href="../../d9/dc3/group___tools.html#gaae15173306f94a164b31a4baea73e5eb">CALL_CATEGORY_GUI</a></div><div class="ttdeci">const int CALL_CATEGORY_GUI</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00009">tools.c:9</a></div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_ga906d727fe47efc365f800be617239f5f"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#ga906d727fe47efc365f800be617239f5f">UA_NONE</a></div><div class="ttdeci">const int UA_NONE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00412">constants.c:412</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a2d89e844cbfd9c622075b211b6794c5e"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a2d89e844cbfd9c622075b211b6794c5e">ScriptedWidgetEventHandler::m_Player</a></div><div class="ttdeci">protected PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d0c/_action_targets_cursor_8c_source.html#l00055">ActionTargetsCursor.c:55</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a34c00b8b4ee15e59aeecb5654e00e3fe"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a34c00b8b4ee15e59aeecb5654e00e3fe">ScriptedWidgetEventHandler::OnWidgetScriptInit</a></div><div class="ttdeci">void OnWidgetScriptInit(Widget w)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00014">SizeToChild.c:14</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a47356c5957804e7c75007bd4070f4e08"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a47356c5957804e7c75007bd4070f4e08">ScriptedWidgetEventHandler::GetPlayer</a></div><div class="ttdeci">protected void GetPlayer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d0c/_action_targets_cursor_8c_source.html#l00674">ActionTargetsCursor.c:674</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a71b8e094195dbad856b869f74ddc40f0"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a71b8e094195dbad856b869f74ddc40f0">ScriptedWidgetEventHandler::m_Root</a></div><div class="ttdeci">protected Widget m_Root</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00009">SizeToChild.c:9</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a82e8238365614422318d5afccc3a12aa"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a82e8238365614422318d5afccc3a12aa">ScriptedWidgetEventHandler::GetActionManager</a></div><div class="ttdeci">protected void GetActionManager()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d0c/_action_targets_cursor_8c_source.html#l00679">ActionTargetsCursor.c:679</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aa0ed5e90d81bff2ace3859247deed426"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aa0ed5e90d81bff2ace3859247deed426">ScriptedWidgetEventHandler::m_AM</a></div><div class="ttdeci">protected ActionManagerClient m_AM</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d0c/_action_targets_cursor_8c_source.html#l00064">ActionTargetsCursor.c:64</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aba6450ea167e6260d427b214c4e14a0b"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aba6450ea167e6260d427b214c4e14a0b">ScriptedWidgetEventHandler::Init</a></div><div class="ttdeci">void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da6/_tabber_u_i_8c_source.html#l00046">TabberUI.c:46</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_af230615baea6307c6e837a0369acfd39"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#af230615baea6307c6e837a0369acfd39">ScriptedWidgetEventHandler::Update</a></div><div class="ttdeci">void Update()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d0c/_action_targets_cursor_8c_source.html#l00304">ActionTargetsCursor.c:304</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_df/df4/class_scripted_widget_event_handler"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div><div class="ttdoc">map: item x vector(index, width, height)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00524">EnWidgets.c:525</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga70ac517aa5d3b3af95f61a2d560d811f"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga70ac517aa5d3b3af95f61a2d560d811f">Update</a></div><div class="ttdeci">proto native volatile void Update()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d52/_player_sound_manager_8c_source.html#l00122">PlayerSoundManager.c:122</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../d4/d9f/_cross_hair_selector_8c.html">CrossHairSelector.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
